package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 订单取消请求DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Accessors(chain = true)
public class OrderCancelRequestDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 内部订单号列表
     * 一次最大支持50条
     */
    private List<Integer> oIds;

    /**
     * 取消类型
     * 示例值：不需要了
     */
    private String cancelType;

    /**
     * 备注信息
     */
    private String remark;
}
