package com.fs.erp.dto.df;

import lombok.Data;

/**
 * 外部订单SKU实体类
 */
@Data
public class ExteriorOrderSkuVo {
    /**
     * 商品编号（必填）
     */
    private String productCode;

    /**
     * 商品名称（必填）
     */
    private String productName;

    /**
     * SKU编码（必填）
     */
    private String skuCode;

    /**
     * 商品规格（必填）
     * 格式：颜色：红色，尺寸：L码....以此类推
     */
    private String attributeNames;

    /**
     * 商品预定数量（必填）
     */
    private Integer productNumber;

    /**
     * 商品单位（非必填）
     */
    private String unit;

    /**
     * 商品单价（必填）
     */
    private Double price;

    /**
     * 调整金额（非必填）
     */
    private Double adjustAmount;

    /**
     * 小计金额（必填）
     */
    private Double subAmount;

    /**
     * 备注（非必填）
     */
    private String remark;

    /**
     * 商品简称（非必填）
     */
    private String shortName;

    /**
     * 商家编码（非必填）
     */
    private String merchantCode;

}
